# docker logs

<!---MARKER_GEN_START-->
Fetch the logs of a container

### Aliases

`docker container logs`, `docker logs`

### Options

| Name                 | Type     | Default | Description                                                                                        |
|:---------------------|:---------|:--------|:---------------------------------------------------------------------------------------------------|
| `--details`          | `bool`   |         | Show extra details provided to logs                                                                |
| `-f`, `--follow`     | `bool`   |         | Follow log output                                                                                  |
| `--since`            | `string` |         | Show logs since timestamp (e.g. `2013-01-02T13:23:37Z`) or relative (e.g. `42m` for 42 minutes)    |
| `-n`, `--tail`       | `string` | `all`   | Number of lines to show from the end of the logs                                                   |
| `-t`, `--timestamps` | `bool`   |         | Show timestamps                                                                                    |
| `--until`            | `string` |         | Show logs before a timestamp (e.g. `2013-01-02T13:23:37Z`) or relative (e.g. `42m` for 42 minutes) |


<!---MARKER_GEN_END-->

